# Namespace

## Auth

### auth/public:
- Eşleşme gerekmez, herkese açık hale getirir
- İşlem bittiğinde success değeri verirr

### auth/private
Eşleşme gerekir, biri size mesaj göndermek için onay alması gerekir
Onaylandığında success gönder

### request/pair
- private bir eşe onay isteği gönderirsiniz, eşe bildirim gider
- Client online değilse fail CLIENT-NOT-FOUND mesajı döner
- Zaten kabul etmişse success ALREADY-PAIRED mesajı döner
- Zaten onay isteği göndermişseniz fail ALREADY-REQUESTED mesajı döner
- Gönderildiğinde success REQUESTED mesajı döner
- Eş isteğe herhangi bir cevap dönerse request/pair veya rejected/pair tetiklenir ve from değerleriyle kim oldukları bildirilir

### accept/pair
- Uzak eşin onay isteğine onay verirsiniz

### accept/pair
- Uzak eşin onay isteğine onay verirsiniz

### reject/pair
- Uzak eşin isteğini reddedersiniz

### pair/list
- Erişebileceğiniz private eşlerin ve sizinle etkileşime giren eşlerin
listesini verir

### auth/login
- saQut Account hesabıyla ilgili ön tanımlı hızlı işlem yapar

### auth/check
- saQut Account hesabıyla ilgili ön tanımlı hızlı işlem yapar

### auth/logout
- saQut Account hesabıyla ilgili ön tanımlı hızlı işlem yapar

## Room

### myroom-info

Kendinize özel açılan odanın bilgisini verir

### room-peers

İçerisinde bulunduğunuz odanın içerisinde bulunan eşlerin listesini verir

### room-info

İçerisinde bulunduğunuz odanın bilgisini verir

### joinedrooms

Katıldığınız odaların listesini verir

### closeroom

Sahibi olduğunuz odayı kapatır

### create-room

Yeni bir oda oluşturur

### joinroom

Bir odaya katılır veya sahibine katılma isteği gönderirsiniz

### accept/invite-room

Gizli bir odaya katılma isteği gödneren kişiyi odaya kabul edersiniz

### reject/invite-room

Gizli bir odaya katılma isteği gödneren kişiyi reddedersiniz

### room/list

Herkese açık olan tüm odaları listeler

## Data transfer

### pack/to

Diğer eşe bir paket gönderir

### pack/room

Bir odaya katılmış tüm üyelere, oda üzerinden bir mesaj gönderir